
type mode

type trs

type t



val global_sys: t
val addMode: string -> Mpoly.MP.t Glbdefs.Intmap.t -> unit
val numModes: t -> int

val findModeIDByName: string -> int
val findModeByName: string -> mode
val findModeByID: int -> mode

val getModeID: mode -> int
val getModeName: mode -> string
val getModeVectorField: mode -> Mpoly.MP.t list


val addTransition: int -> int -> Mpoly.MP.t Glbdefs.Intmap.t -> unit
val prettyPrint: out_channel -> unit 

val getPrePostModeIDs: trs -> int* int
val getPrePostModeNames: trs -> string * string
val getUpdate: trs -> Mpoly.MP.t list
val getTrsID: trs -> int

val forEachMode: (mode -> unit) -> t -> unit
val forEachTrs: (trs -> unit) -> t -> unit

val getIncomingTrs: t -> mode -> trs list
val getOutgoingTrs: t -> mode -> trs list
